## kcontrol-autostart-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kcmautostart )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation"         ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 



##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kcontrol-autostart-trinity 14.0.5

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:21:12 +0200

kcontrol-autostart-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

=== debian/control ===
Source: kcontrol-autostart-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcontrol-autostart-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: autostart module for the Trinity control center
 Autostart is a Trinity control center module to configure which applications
 start up when you login into a TDE session.
 .
  Homepage: http://www.kde-apps.org/content/download.php?content=45975

## kcontrol-autostart-trinity 14.0.6

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:18:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-autostart-trinity

## kcontrol-autostart-trinity 14.0.8

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:10 +0200

## kcontrol-autostart-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 #### general package setup
 
-project( kcmautostart )
-set( VERSION R14.0.6 )
+project( autostart )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,8 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:00 +0200

## kcontrol-autostart-trinity 14.0.10

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kcontrol-autostart-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-autostart-trinity

## kcontrol-autostart-trinity 14.0.11

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 20:42:26 +0200

## kcontrol-autostart-trinity 14.0.12

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:46 +0100

## kcontrol-autostart-trinity 14.0.13

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Oct 2022 00:21:40 +0200

## kcontrol-autostart-trinity 14.1.0

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 09 Mar 2023 12:14:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-autostart-trinity

## kcontrol-autostart-trinity 14.1.1

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:03:43 +0200

## kcontrol-autostart-trinity 14.1.2

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 09:08:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-autostart-trinity

## kcontrol-autostart-trinity 14.1.3

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 23:09:51 +0200

## kcontrol-autostart-trinity 14.1.4

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kcontrol-autostart-trinity 14.1.5~pre0

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7c303bc1ad4d5c57b400d06929f935e833121564
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-autostart-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( autostart )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -69,9 +71,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kcm_autostart (kpart)

tde_add_kpart( kcm_autostart AUTOMOC
  SOURCES autostart.cpp
  LINK tdeio-shared tdeui-shared tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( autostart.desktop )

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-autostart-trinity 14.1.6~pre0

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7c303bc1ad4d5c57b400d06929f935e833121564
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-autostart-trinity 14.1.6~pre1

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2780ff4279ad7034d03e9d9a732a6427052e2046
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:03:31 +0100

## kcontrol-autostart-trinity 14.2.0~pre29

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 70c40350e9229353ae467c5ffafb4c23803c7a3f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kcontrol-autostart-trinity 14.2.0~pre30

=== debian/changelog ===
kcontrol-autostart-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 56b7fb15399287d1fbf4d87218d44f4fec661d51
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmautostart

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:05:43 +0100
